OVH Community, votre nouvel espace communautaire.

Installation de rpm


Ernest
05/05/2004, 11h05
si mais y'a moyen avec apt sous redhat

ceci dit, dans mon cas, j'ai juste installé tout ensemble avec un * et ça a marché

C'est ptet pas très élégant mais bon ...

dword
05/05/2004, 10h13
Question idiote urpmi n'est pas pour les distri Mandrake ?

Ernest
04/05/2004, 08h53
Merci bcp

Fraser
03/05/2004, 19h45
urpmi suivi de la liste des rpms inter-dépendants

Ernest
03/05/2004, 13h13
Bonjour,

Il me semble que j'ai le problème du serpent qui se mord la queue ...

Lorsque je tente de mettre à jour perl via rpm, il me dit

[root@ns30499 src]# rpm -U perl-5.6.1-36.1.72.i386.rpm
error: failed dependencies:
perl-CPAN is needed by perl-5.6.1-36.1.72
perl-CGI is needed by perl-5.6.1-36.1.72
perl-DB_File is needed by perl-5.6.1-36.1.72
perl-NDBM_File is needed by perl-5.6.1-36.1.72
perl-suidperl is needed by perl-5.6.1-36.1.72

Donc je tente d'installer chacun des rpm listés mais j'obtiens alors :

[root@ns30499 src]# rpm -ivh perl-CGI-2.752-36.1.72.i386.rpm
error: failed dependencies:
perl >= 1:5.6.1-36.1.72 is needed by perl-CGI-2.752-36.1.72
[root@ns30499 src]# rpm -ivh perl-CPAN-1.59_54-36.1.72.i386.rpm
error: failed dependencies:
perl >= 1:5.6.1-36.1.72 is needed by perl-CPAN-1.59_54-36.1.72

...

Quelqu'un sait-il par où il faut commencer ?

Merci